<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Fisioterapeuta{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$comisionventa,$notshown){
	$sql="INSERT INTO fisioterapeuta (tipo_persona,nombre,tipo_documento,num_documento,direccion,telefono,email,vehiculo,placa,comisionventa,notshown) VALUES ('$tipo_persona','$nombre','$tipo_documento','$num_documento','$direccion','$telefono','$email','$vehiculo','$placa','$comisionventa','$notshown')";
	return ejecutarConsulta($sql);
}

public function editar($idfisioterapeuta,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$comisionventa,$notshown){
	$sql="UPDATE fisioterapeuta SET tipo_persona='$tipo_persona', nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',direccion='$direccion',telefono='$telefono',email='$email',vehiculo='$vehiculo',placa='$placa',comisionventa='$comisionventa',notshown='$notshown'
	WHERE idfisioterapeuta='$idfisioterapeuta'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idfisioterapeuta){
	$sql="DELETE FROM fisioterapeuta WHERE idfisioterapeuta='$idfisioterapeuta'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idfisioterapeuta){
	$sql="SELECT * FROM fisioterapeuta WHERE idfisioterapeuta='$idfisioterapeuta'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM fisioterapeuta WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM fisioterapeuta WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM fisioterapeuta WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listarc(){
	$sql="SELECT * FROM fisioterapeuta WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT * FROM fisioterapeuta";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

 ?>
